import django_eventstream
from channels.auth import AuthMiddlewareStack
from channels.http import AsgiHandler
from channels.routing import URLRouter, ProtocolTypeRouter
from django.urls import re_path

urlpatterns = [
 re_path(r'^events/',
         AuthMiddlewareStack(URLRouter(django_eventstream.routing.urlpatterns)),
         {'channels':['notice']}),
 re_path(r'',AsgiHandler)
]

application = ProtocolTypeRouter({
    'http': URLRouter(urlpatterns)
})